org.h2.android

## Class H2Cursor

- java.lang.Object
- - android.database.AbstractCursor
  - - android.database.AbstractWindowedCursor
    - - org.h2.android.H2Cursor

All Implemented Interfaces:
  android.database.Cursor

    public class H2Cursor
    extends android.database.AbstractWindowedCursor

A cursor implementation.

### Method Summary

Methods
`void` `close()` Close the cursor.
`void` `copyStringToBuffer(int columnIndex, android.database.CharArrayBuffer buffer)` TODO
`void` `deactivate()` Deactivate the cursor.
`byte[]` `getBlob(int columnIndex)` Get the value from the current row.
`int` `getColumnCount()` Get the number of columns in the result.
`int` `getColumnIndex(java.lang.String columnName)` Get the column index.
`int` `getColumnIndexOrThrow(java.lang.String columnName)` Get the column index for the given column name, or throw an exception if not found.
`java.lang.String` `getColumnName(int columnIndex)` Get the name of the given column.
`java.lang.String[]` `getColumnNames()` Get the column names.
`int` `getCount()` Get the row count.
`H2Database` `getDatabase()` Get the database that created this cursor.
`double` `getDouble(int columnIndex)` Get the value from the current row.
`android.os.Bundle` `getExtras()` TODO
`float` `getFloat(int columnIndex)` Get the value from the current row.
`int` `getInt(int columnIndex)` Get the value from the current row.
`long` `getLong(int columnIndex)` Get the value from the current row.
`int` `getPosition()` Get the current row number
`short` `getShort(int columnIndex)` Get the value from the current row.
`java.lang.String` `getString(int columnIndex)` Get the value from the current row.
`boolean` `getWantsAllOnMoveCalls()` The method onMove is only called if this method returns true.
`boolean` `isAfterLast()` Check if the current position is past the last row.
`boolean` `isBeforeFirst()` Check if the current position is before the first row.
`boolean` `isClosed()` Check if the cursor is closed.
`boolean` `isFirst()` Check if the current position is on the first row.
`boolean` `isLast()` Check if the current position is on the last row.
`boolean` `isNull(int columnIndex)` Check if the value of the current row is null.
`boolean` `move(int offset)` Move the cursor by the given number of rows forward or backward.
`boolean` `moveToFirst()` Move to the first row.
`boolean` `moveToLast()` Move to the last row.
`boolean` `moveToNext()` Move to the next row.
`boolean` `moveToPosition(int position)` Move to the given row.
`boolean` `moveToPrevious()` Move to the previous row.
`boolean` `onMove(int oldPosition, int newPosition)` The cursor moved to a new position.
`void` `registerContentObserver(android.database.ContentObserver observer)` TODO
`void` `registerDataSetObserver(android.database.DataSetObserver observer)` Register a data set observer.
`boolean` `requery()` Re-run the query.
`android.os.Bundle` `respond(android.os.Bundle extras)` TODO
`void` `setNotificationUri(android.content.ContentResolver cr, android.net.Uri uri)` TODO
`void` `setSelectionArguments(java.lang.String[] selectionArgs)` Set the parameter values.
`void` `setWindow(android.database.CursorWindow window)` TODO
`void` `unregisterContentObserver(android.database.ContentObserver observer)` TODO
`void` `unregisterDataSetObserver(android.database.DataSetObserver observer)` TODO

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### close

    public void close()

Description copied from interface: `android.database.Cursor`
Close the cursor.

#### deactivate

    public void deactivate()

Description copied from interface: `android.database.Cursor`
Deactivate the cursor. The cursor can be re-activated using requery().

#### getColumnIndex

    public int getColumnIndex(java.lang.String columnName)

Description copied from interface: `android.database.Cursor`
Get the column index. The first column is 0.

Parameters:
  `columnName` - the name of the column
Returns:
  the column index, or -1 if the column was not found

#### getColumnNames

    public java.lang.String[] getColumnNames()

Description copied from interface: `android.database.Cursor`
Get the column names.

Returns:
  the column names

#### getCount

    public int getCount()

Description copied from interface: `android.database.Cursor`
Get the row count.

Returns:
  the row count

#### getDatabase

    public H2Database getDatabase()

Get the database that created this cursor.

Returns:
  the database

#### onMove

    public boolean onMove(int oldPosition,
                 int newPosition)

The cursor moved to a new position.

Parameters:
  `oldPosition` - the previous position
  `newPosition` - the new position
Returns:
  TODO

#### registerDataSetObserver

    public void registerDataSetObserver(android.database.DataSetObserver observer)

Description copied from interface: `android.database.Cursor`
Register a data set observer.

Parameters:
  `observer` - the observer

#### requery

    public boolean requery()

Description copied from interface: `android.database.Cursor`
Re-run the query.

Returns:
  TODO

#### setSelectionArguments

    public void setSelectionArguments(java.lang.String[] selectionArgs)

Set the parameter values.

Parameters:
  `selectionArgs` - the parameter values

#### setWindow

    public void setWindow(android.database.CursorWindow window)

TODO

Parameters:
  `window` - the window

#### move

    public boolean move(int offset)

Description copied from interface: `android.database.Cursor`
Move the cursor by the given number of rows forward or backward.

Parameters:
  `offset` - the row offset
Returns:
  true if the operation was successful

#### copyStringToBuffer

    public void copyStringToBuffer(int columnIndex,
                          android.database.CharArrayBuffer buffer)

Description copied from interface: `android.database.Cursor`
TODO

#### getBlob

    public byte[] getBlob(int columnIndex)

Description copied from interface: `android.database.Cursor`
Get the value from the current row.

Parameters:
  `columnIndex` - the column index (0, 1,...)
Returns:
  the value

#### getColumnCount

    public int getColumnCount()

Description copied from interface: `android.database.Cursor`
Get the number of columns in the result.

Returns:
  the column count

#### getColumnIndexOrThrow

    public int getColumnIndexOrThrow(java.lang.String columnName)

Description copied from interface: `android.database.Cursor`
Get the column index for the given column name, or throw an exception if not found.

Parameters:
  `columnName` - the column name
Returns:
  the index

#### getColumnName

    public java.lang.String getColumnName(int columnIndex)

Description copied from interface: `android.database.Cursor`
Get the name of the given column.

Parameters:
  `columnIndex` - the column index (0, 1,...)
Returns:
  the name

#### getDouble

    public double getDouble(int columnIndex)

Description copied from interface: `android.database.Cursor`
Get the value from the current row.

Parameters:
  `columnIndex` - the column index (0, 1,...)
Returns:
  the value

#### getExtras

    public android.os.Bundle getExtras()

Description copied from interface: `android.database.Cursor`
TODO

Returns:
  TODO

#### getFloat

    public float getFloat(int columnIndex)

Description copied from interface: `android.database.Cursor`
Get the value from the current row.

Parameters:
  `columnIndex` - the column index (0, 1,...)
Returns:
  the value

#### getInt

    public int getInt(int columnIndex)

Description copied from interface: `android.database.Cursor`
Get the value from the current row.

Parameters:
  `columnIndex` - the column index (0, 1,...)
Returns:
  the value

#### getLong

    public long getLong(int columnIndex)

Description copied from interface: `android.database.Cursor`
Get the value from the current row.

Parameters:
  `columnIndex` - the column index (0, 1,...)
Returns:
  the value

#### getPosition

    public int getPosition()

Description copied from interface: `android.database.Cursor`
Get the current row number

Returns:
  the row number TODO 0, 1,...

#### getShort

    public short getShort(int columnIndex)

Description copied from interface: `android.database.Cursor`
Get the value from the current row.

Parameters:
  `columnIndex` - the column index (0, 1,...)
Returns:
  the value

#### getString

    public java.lang.String getString(int columnIndex)

Description copied from interface: `android.database.Cursor`
Get the value from the current row.

Parameters:
  `columnIndex` - the column index (0, 1,...)
Returns:
  the value

#### getWantsAllOnMoveCalls

    public boolean getWantsAllOnMoveCalls()

Description copied from interface: `android.database.Cursor`
The method onMove is only called if this method returns true.

Returns:
  true if calling onMove is required

#### isAfterLast

    public boolean isAfterLast()

Description copied from interface: `android.database.Cursor`
Check if the current position is past the last row.

Returns:
  true if it is

#### isBeforeFirst

    public boolean isBeforeFirst()

Description copied from interface: `android.database.Cursor`
Check if the current position is before the first row.

Returns:
  true if it is

#### isClosed

    public boolean isClosed()

Description copied from interface: `android.database.Cursor`
Check if the cursor is closed.

Returns:
  true if it is

#### isFirst

    public boolean isFirst()

Description copied from interface: `android.database.Cursor`
Check if the current position is on the first row.

Returns:
  true if it is

#### isLast

    public boolean isLast()

Description copied from interface: `android.database.Cursor`
Check if the current position is on the last row.

Returns:
  true if it is

#### isNull

    public boolean isNull(int columnIndex)

Description copied from interface: `android.database.Cursor`
Check if the value of the current row is null.

Parameters:
  `columnIndex` - the column index (0, 1,...)
Returns:
  true if it is

#### moveToFirst

    public boolean moveToFirst()

Description copied from interface: `android.database.Cursor`
Move to the first row.

Returns:
  TODO

#### moveToLast

    public boolean moveToLast()

Description copied from interface: `android.database.Cursor`
Move to the last row.

Returns:
  TODO

#### moveToNext

    public boolean moveToNext()

Description copied from interface: `android.database.Cursor`
Move to the next row.

Returns:
  TODO

#### moveToPosition

    public boolean moveToPosition(int position)

Description copied from interface: `android.database.Cursor`
Move to the given row.

Parameters:
  `position` - TODO
Returns:
  TODO

#### moveToPrevious

    public boolean moveToPrevious()

Description copied from interface: `android.database.Cursor`
Move to the previous row.

Returns:
  TODO

#### registerContentObserver

    public void registerContentObserver(android.database.ContentObserver observer)

Description copied from interface: `android.database.Cursor`
TODO

Parameters:
  `observer` - TODO

#### respond

    public android.os.Bundle respond(android.os.Bundle extras)

Description copied from interface: `android.database.Cursor`
TODO

Parameters:
  `extras` - TODO
Returns:
  TODO

#### setNotificationUri

    public void setNotificationUri(android.content.ContentResolver cr,
                          android.net.Uri uri)

Description copied from interface: `android.database.Cursor`
TODO

Parameters:
  `cr` - TODO
  `uri` - TODO

#### unregisterContentObserver

    public void unregisterContentObserver(android.database.ContentObserver observer)

Description copied from interface: `android.database.Cursor`
TODO

Parameters:
  `observer` - TODO

#### unregisterDataSetObserver

    public void unregisterDataSetObserver(android.database.DataSetObserver observer)

Description copied from interface: `android.database.Cursor`
TODO

Parameters:
  `observer` - TODO